Drop unnecessary rename of dlm -> dlm-controld (binary package)

Bug #1669133 reported by Nish Aravamudan on 2017-03-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dlm (Ubuntu)
Undecided
Nish Aravamudan
lvm2 (Ubuntu)
Undecided
Nish Aravamudan
ocfs2-tools (Ubuntu)
Undecided
Nish Aravamudan

Bug Description

dlm -> dlm-controld transition (will need to be kept through 18.04 for LTS upgraders)
  - Add transitional dummy binary package to rename back
  - Drop delta in lvm2 and ocfs2-tools

Nish Aravamudan (nacc) on 2017-03-06
tags: added: bitesize
Changed in dlm (Ubuntu):
status: New → Triaged
Changed in lvm2 (Ubuntu):
status: New → Triaged
Changed in ocfs2-tools (Ubuntu):
status: New → Triaged
Nish Aravamudan (nacc) on 2017-05-03
Changed in dlm (Ubuntu):
assignee: nobody → Nish Aravamudan (nacc)
Changed in lvm2 (Ubuntu):
assignee: nobody → Nish Aravamudan (nacc)
Changed in ocfs2-tools (Ubuntu):
assignee: nobody → Nish Aravamudan (nacc)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dlm - 4.0.7-1ubuntu2

---------------
dlm (4.0.7-1ubuntu2) artful; urgency=medium

  * Rename dlm -> dlm-controld (LP: #1669133).
    - The dlm transitional package will need to be kept until 18.04
      releases.
  * Drop:
    - d/control,dlm.install, rules: Rename dlm-controld -> dlm inline
      with packaging history in Ubuntu

 -- Nishanth Aravamudan <email address hidden> Wed, 03 May 2017 16:48:18 -0700

Changed in dlm (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ocfs2-tools - 1.8.4-4ubuntu1

---------------
ocfs2-tools (1.8.4-4ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1688399). Remaining changes:
    - d/t/basic: do not assume local filesystem blocksize will support
      the mkfs.ocfs2 blocksize (e.g., 4k disks will not support a 1k
      blocksize).
  * Drop:
    - d/t/control: dlm-controld is renamed to dlm in Ubuntu.
      [ Package has been renamed in Ubuntu to match Debian ]
      + LP: #1669133

 -- Nishanth Aravamudan <email address hidden> Wed, 03 May 2017 17:04:59 -0700

Changed in ocfs2-tools (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lvm2 - 2.02.167-1ubuntu6

---------------
lvm2 (2.02.167-1ubuntu6) artful; urgency=medium

  * Drop:
    - Depend on 'dlm' rather than 'dlm-controld', the package is named
      differently in Ubuntu.
      + LP: #1669133
      [ Package is renamed to dlm-controld in line with Debian ]

 -- Nishanth Aravamudan <email address hidden> Wed, 03 May 2017 17:14:00 -0700

Changed in lvm2 (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers